/**
 * 公共设备参数
 */
export const enum DevParamCommon {
  禁启用状态 = 'disableEnableStatus',
  手自动状态 = 'manualAutoStatus',
  手动启停 = 'startStopOrder',
  频率控制模式 = 'frequControlMode',
}

/**
 * 控制柜设备参数
 */
export const enum DevParamCtrlCabinet {
  冷冻总管出水温度 = 'chilledWaterMainTempOut',
  冷冻总管回水温度 = 'chilledWaterMainTempIn',
  冷冻总管出水压力 = 'chilledWaterMainPreOut',
  冷冻总管回水压力 = 'chilledWaterMainPreIn',
  冷却总管出水温度 = 'coolingWaterMainTempOut',
  冷却总管回水温度 = 'coolingWaterMainTempIn',
  系统控制模式设定 = 'systemControlModeSet',
  冷机出水温度 = 'chilledWaterMainTempOutSet',
  加机温差 = 'plusChillerTempDiffSet',
  减机温差 = 'minusChillerTempDiffSet',
  加机负载率 = 'plusChillerLoadPercentSet',
  减机负载率 = 'minusChillerLoadPercentSet',
  加机延时1 = 'plusChillerDelayFisrtSet',
  减机延时 = 'minusChillerDelaySet',
  加机延时2 = 'plusChillerDelaySecondSet',
  塔出水温度 = 'coolingWaterMainTempInSet',
  加塔温差 = 'plusTowerTempDiffSet',
  减塔温差 = 'minusTowerTempDiffSet',
  加塔频率 = 'plusTowerFrequencySet',
  减塔频率 = 'minusTowerFrequencySet',
  加塔延时 = 'plusTowerDelaySet',
  减塔延时 = 'minusTowerDelaySet',
}

/**
 * 冷却塔设备参数
 */
export const enum DevParamCoolingTower {
  本地远程状态 = 'localRemoteStatus',
  有功功率 = 'outputActivePower',
  频率反馈 = 'frequencyFb',
  运行时间 = 'runHours',
}

/**
 * 冷却泵设备参数
 */
export const enum DevParamCoolingPump {
  本地远程状态 = 'localRemoteStatus',
  有功功率 = 'outputActivePower',
  频率反馈 = 'frequencyFb',
  运行时间 = 'runHours',
}

/**
 * 冷水主机设备参数
 */
export const enum DevParamChillerUnit {
  COP = 'COP',
  制冷量 = 'coolingCapacity',
  有功功率 = 'outputActivePower',
  负载率 = 'loadRatio',
  负载率限制设定值 = 'loadRatioLimitSet',
  本地远程状态 = 'localRemoteStatus',
  运行时间 = 'unitRunHours',
  自动启停指令 = 'semiAutoStartStopOrder',
  冷冻水出水温度设定值 = 'evapWaterTempOutSet',
  冷冻水出水温度设定值反馈 = 'evapWaterTempOutSetFb',
  今日耗电量 = 'energyToday',
  本月耗电量 = 'energyMonth',
  冷冻水回水温度 = 'evapWaterTempIn',
  冷冻水出水温度 = 'evapWaterTempOut',
  蒸发压力 = 'cirEvapPre',
  蒸发温度 = 'cirEvapTemp',
  冷却水回水温度 = 'condWaterTempIn',
  冷却水出水温度 = 'condWaterTempOut',
  冷凝压力 = 'cirCondPre',
  冷凝温度 = 'cirCondTemp',
  排气温度 = 'cirCompDisTemp',
  吸气温度 = 'cirCompSucTemp',
}

/**
 * 冷冻阀设备参数
 */
export const enum DevParamChilledValve {
  冷冻侧阀开到位信号 = 'chilledValveOpenSignal',
  冷冻侧阀关到位信号 = 'chilledValveCloseSignal',
  冷冻侧阀本地远程状态 = 'chilledValveLocalRemoteStatus',
  冷冻侧阀开关指令 = 'chilledValveStartStopOrder',
  冷冻侧阀手自动状态 = 'chilledValveManualAutoStatus',
}

/**
 * 冷却阀设备参数
 */
export const enum DevParamCoolingValve {
  冷却侧阀开到位信号 = 'coolingValveOpenSignal',
  冷却侧阀关到位信号 = 'coolingValveCloseSignal',
  冷却侧阀本地远程状态 = 'coolingValveLocalRemoteStatus',
  冷却侧阀开关指令 = 'coolingValveStartStopOrder',
  冷却侧阀手自动状态 = 'coolingValveManualAutoStatus',
}

/**
 * 进口阀设备参数
 */
export const enum DevParamInletValve {
  进口阀开到位信号 = 'inletValveOpenSignal',
  进口阀关到位信号 = 'inletValveCloseSignal',
  进口阀本地远程状态 = 'inletValveLocalRemoteStatus',
  进口阀开关指令 = 'inletValveStartStopOrder',
  进口阀手自动状态 = 'inletValveManualAutoStatus',
}

/**
 * 出口阀设备参数
 */
export const enum DevParamOutletValve {
  出口阀开到位信号 = 'outletValveOpenSignal',
  出口阀关到位信号 = 'outletValveCloseSignal',
  出口阀本地远程状态 = 'outletValveLocalRemoteStatus',
  出口阀开关指令 = 'outletValveStartStopOrder',
  出口阀手自动状态 = 'outletValveManualAutoStatus',
}

/**
 * 旁通阀设备参数
 */
export const enum DevParamBypassValve {
  旁通阀开度反馈 = 'bypassValveOpeningFb',
  旁通阀压差设定 = 'bypassValvePreDiffSet',
  旁通阀开度控制模式 = 'bypassValveOpeningControlMode',
  旁通阀开度手动设定 = 'bypassValveOpeningManualSet',
  旁通阀开度上限设定 = 'bypassValveOpeningUpperLimitSet',
  旁通阀开度下限设定 = 'bypassValveOpeningLowerLimitSet',
  旁通阀开度最终设定 = 'bypassValveOpeningFinalSet',
}
